# ContentItem QML Type

Content that can be imported or exported from a ContentPeer. More...

Import Statement: | import Lomiri.Content 1.1

- List of all members, including inherited members
- Obsolete members

## Properties

- text : string
- url : url

## Methods

- bool copy(dir, fileName)
- bool copy(dir)
- string toDataURI()

## Detailed Description

A ContentItem is an item that can be imported or exported from a ContentPeer

See documentation for ContentHub

## Property Documentation

text : string

Content of the transfer

url : url

URL of the content data

## Method Documentation

bool copy(dir, fileName)

If the url is a local file, copy the file to dir and rename to fileName

Returns true if the file was copied successfully, false on error or if the url wasn't a local file.

bool copy(dir)

If the url is a local file, copy the file to dir

Returns true if the file was copied successfully, false on error or if the url wasn't a local file.

string toDataURI()

Returns the ContentItem base64 encoded with the mimetype as a properly formated dataUri